// =========================================================
// TEST.CPP
//
// Test program for Spinner control
//
// Author:  Steve Saxon (Compuserve: 100321,2355)
// Written: 12th November 1994
// =========================================================

#include <owl\owlpch.h>
#pragma hdrstop

#include "spinna.rh"
#include "spinna.h"

// =========================================================
// TTestDialog
//
// test dialog
// =========================================================
class TTestDialog : public TDialog
{
	TRangeSpinEdit*	range;
	TListSpinEdit* 	list;

public:
	TTestDialog ();

	void 	EvListChange ();

	DECLARE_RESPONSE_TABLE (TTestDialog);
};

// =========================================================
// TestApp
//
// test application object
// =========================================================
class TestApp : public TApplication
{
public:
	TestApp ()				{ }
	virtual ~TestApp ()		{ }

	virtual void InitMainWindow ();
};

void TestApp::InitMainWindow ()
{
	SetMainWindow (	new TFrameWindow (NULL, "Spinner Test", new TTestDialog (), TRUE));

	EnableCtl3d ();
}

// =========================================================

DEFINE_RESPONSE_TABLE1 (TTestDialog, TDialog)
	EV_EN_CHANGE (IDC_LISTSPINNER, EvListChange),
END_RESPONSE_TABLE;

TTestDialog::TTestDialog () : TDialog (NULL, SPINDLG)
{
	range = new TRangeSpinEdit (this, IDC_SPINNER);
	range->Spinner.SetRange (10, 30);
	range->Spinner.SetFormat (".1\"");
	range->Spinner.SetShowMenu ();

	list = new TListSpinEdit (this, IDC_LISTSPINNER);
	list->Spinner.SetShowMenu ();

	list->AddString ("Africa");
	list->AddString ("Asia");
	list->AddString ("Europe");
	list->AddString ("North America");
	list->AddString ("South America");

}

void TTestDialog::EvListChange ()
{
	char	szText[30];
	BOOL	bValid;

	list->GetText (szText, sizeof (szText));
	list->GetCurrentValue (&bValid);

	if (!bValid)
	{
		lstrcat (szText, " [invalid]");
	}

	SetDlgItemText (IDC_NOTIFIED, szText);
}

// =========================================================

int OwlMain (int , char* [])
{
	TestApp		App;
	int			result;

	result = App.Run();

	return result;
}